% File <addquantilevalues.m>
%
% Author: Falko Bause
% Date: Juli 2019
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2019.
%

function [qv] = addquantilevalues(qv,trace,quantilesno)
% adding extra quantile values from both borders since trace has a high kurtosis 
qufactor = 10;  % we add extra values for quantiles of order qufactor^i*quantilesno until 
                % maximum/minimum of trace is of the same order as the maximum/minimum of the quantiles

maxtr = max(trace);
mintr = min(trace);
quantileorder = qufactor*quantilesno;
while (((maxtr/max(qv)) > 10) || ((min(qv)/mintr) > 10))
    qvector = quantile(trace,quantileorder);
    qv = horzcat(qv,min(qvector),max(qvector));
    quantileorder = qufactor*quantileorder;
end

