% File <deterministic_free.m>
%
% Author: Falko Bause
% Date: June 2016  changed February 2018 (storage efficient representation of Ak)
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%


function [ deterministic_free ] = check_deterministic_free( Ak, N )
% deterministic_free == 1 if the list of Ak distributions does not contain
% a deterministic distribution, 0 otherwise

% N is the number of list elements in Ak, i.e. the number of distributions.
    
deterministic_free = 1;

for i=1:N    
        if (Ak{i}(1,2) == 123456789)
            % deterministic dist:
            deterministic_free = 0;
            return;
        end
end

