% File <count_states.m>
%
% Author: Falko Bause
% Date: June 2016    changed February 2018 (storage efficient representation of Ak)
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%

  
function [no_states] = count_states(inivec,N)

% gives the sum of the dimensions of the inivec vectors.
% inivec is assumed to be a list of vectors and N is
% assumed to be the number of elements in the list.

no_states = 0;

for i=1:N
    if (inivec{i}(1,2) ~= 123456789)
       no_states = no_states + inivec{i}(1,2);   
    else
       no_states = no_states + 1;  % deterministc distribution is counted as a single state
    end


end
