% File <determine_order_of_number_of_farey_points.m>
%
% Author: Falko Bause
% Date: October 2016
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%


function [ N ] = determine_order_for_kvalue_list(len,betaval) 
% Determines the farey order number for which the resultant length of the result of function kvalues is approximately len.
% If the length len does not conform to a kvalues list length the 
% order number N of a kvalues list with a larger length is returned, i.e.
%  len <= length(kvalues(N)) && len > length(kvalues(N-1))

N = 1;
while (len > length(kvalues(N,betaval)))
    N = N + 1;
end
