% File <determine_order_of_number_of_farey_points.m>
%
% Author: Falko Bause
% Date: June 2016
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%


function [ N ] = determine_order_of_number_of_farey_points(len) 
% Determines the order number of a farey list of length len.
% If the length len does not conform to a farey list length the 
% order number N of a farey list with a larger length is returned, i.e.
%  len <= length(farey_points(N)) && len > length(farey_points(N-1))

N = 1;
while (len > length(farey_points(N)))
    N = N + 1;
end
