% File <diffvec.m>
%
% Author: Falko Bause
% Date: Oktober 2016
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%


function [resvec] = diffvec(vec)

% calculates the differences of adjacent vector components of vec and
% stores the result in resvec
% To be more precise  resvec(i) = vec(i+1) - vec(i)
% Thus the dimension of resvec is the dimension of vec minus 1!

N = length(vec);
resvec = zeros(1,N-1);

for i=1:(N-1)
    resvec(i) = vec(i+1) - vec(i); 
end
