% File <farey_points.m>
%
% Author: Falko Bause
% Date: June 2016
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%

  
function [ values ] = farey_points(n)

% generates and returns a farey sequence from [0,1] of order n

values = [];

h = 0;
k = 1;
x = 1;
y = 0;
iterlauf = 2; % just to implement a repeat until loop

while (iterlauf > 1)
    % fprintf('h=%d, k=%d\n',h,k);    
    values = horzcat(values,h/k);
   
    r = floor((n-y)/k);
    y = y + r*k;
    x = x + r*h;
    
    tmp = x;
    x = h;
    h = tmp;
    
    tmp = y;
    y = k;
    k = tmp;
    
    x = -x;
    y = -y;
    
    iterlauf = k;
end

% fprintf('1/1\n');
values = horzcat(values,1);

