% File <find_index.m>
%
% Author: Falko Bause
% Date: June 2016
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%

  
function [ result ] = find_index( list, val )
%  list = (a1 a2 a3 ...) contains a list of (possibly sorted) values 
%  val is some value not necessarily in the list
%  result is equal to the index i of element ai such that
%    for all j<i aj < val  and ai >= val.
% So essentially in a sorted list we get the index of the first element
% which is greater or equal to the given value val.

ll = length(list);
if (ll == 0) 
    fprintf('find_index:  list is empty!\n');
    result = 0;
    return;
end

i = 1;

while ((list(i) < val) && (i<ll))
   % fprintf('%E ',list(i));
    i = i+1;
end

result = i;

end

