% File <find_values_above_threshold.m>
%
% Author: Falko Bause
% Date: June 2016
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%


function [ vals ] = find_values_above_threshold( trace, threshold )
% vals contains those values of trace whose occurrences is above or equal
% to the specified threshold. The threshold is specified by the relation of
% number of occurrences/length(trace), e.g. 0.05 for 5% i.e.
% vals contains those values whose occurrences is 5% or more of the number of all
% values in trace.

[a,b]=hist(sort(trace),unique(sort(trace))); 

threshold_value = threshold*length(trace);

vals = b(a>=threshold_value);

vals = vals';

end

