#!/usr/bin/env wish


# This Methods checks if the tag-value of the passed node
# equals "ref". If so, the content of the node is returned.
proc get_ref_tag_value {fileTag} {

	if {[lindex $fileTag 0] == "ref"} {
		return [lindex [lindex [lindex $fileTag 2] 0] 1]	
	} else {
		return ""
	}
}


# This method searches the XML-File specified by its first parameter for 
# a <ref>-Tag within a <file>-Tag. If one is found, its value is returned
# on the command line prompt.
proc echo_ref_tag_value {infile} {
	set inf [open $infile r]
	set content [read $inf]
	close $inf

	# Parse XML-File to list
	set parsed [xml2list $content]
	if {[lindex $parsed 0] != "profido"} {
		puts "Input file is not a ProFiDo XML description!"
		exit
	}
	set parsed [lindex [lindex $parsed 2] 0]

	if {[lindex $parsed 0] != "file"} {
		puts "Error: File $infile does not contain file information."
	} else {
		set fileTag [lindex $parsed 2]

		foreach curTag $fileTag {
			if {[set resultString [get_ref_tag_value $curTag]] != ""} {
				break;
			} 
 	   	}
 	   	
		if {($resultString != "")} {
			puts $resultString
		} 	
	}
}

# This methode parses an XML-File into a tcl-list. 
# This code was copied from the TCL-WiKi (http://wiki.tcl.tk/3919)
 proc xml2list xml {
     regsub -all {>\s*<} [string trim $xml " \n\t<>"] "\} \{" xml
     set xml [string map {> "\} \{#text \{" < "\}\} \{"}  $xml]

     set res ""   ;# string to collect the result
     set stack {} ;# track open tags
     set rest {}
     foreach item "{$xml}" {
	## Ignore XML-comments
	 if {[string range $item 0 0] != "?"} {
		switch -regexp -- $item {
		^# {append res "{[lrange $item 0 end]} " ; #text item}
		^/ {
			regexp {/(.+)} $item -> tagname ;# end tag
			set expected [lindex $stack end]
			if {$tagname!=$expected} {error "$item != $expected"}
			set stack [lrange $stack 0 end-1]
			append res "\}\} "
		}
		/$ { # singleton - start and end in one <> group
		regexp {([^ ]+)( (.+))?/$} $item -> tagname - rest
		set rest [lrange [string map {= " "} $rest] 0 end]
		append res "{$tagname [list $rest] {}} "
		}
		default {
		set tagname [lindex $item 0] ;# start tag
		set rest [lrange [string map {= " "} $item] 1 end]
		lappend stack $tagname
		append res "\{$tagname [list $rest] \{"
		}
		}
		if {[llength $rest]%2} {error "att's not paired: $rest"}
		}
	}


     if [llength $stack] {error "unresolved: $stack"}
     string map {"\} \}" "\}\}"} [lindex $res 0]
 }


##################################################################################
##################################################################################
##################################################################################

# This script parses the XML-File specified by its first parameter for 
# a <ref>-Tag within a <file>-Tag. If one is found, its value is returned
# on the command line prompt.
set infile ""
set infile [lindex $argv 0]
echo_ref_tag_value $infile
exit
