#!/usr/bin/sh
# First Parameter  = Number of moments
# Other Parameters = Other Momfit parameters

# Example:
# ./momfit.sh 10 20 40000 1.0e-07 20000 13
#   Call using 10 moments of trace in file local.trace
#   using a PH dist with 20 states, 40000 iterations, epsilon 1.000e-07, max. CPU time 20000, seed value 13

NOMOMENTS=$1
shift

# Analyze trace file to determine moments
./modan.exe -trace=local.trace -traceformat=1 -moments=${NOMOMENTS} -jointmoments=1 -autocorrelation=0 -output=1

\rm -f local.acorr local.aweights local.jmoments local.jweights  local.weights

# Execute Momfit
./Momfit local $@

# Create XML Output
`./PHToXML.tcl "local.d0_out" "local.pi_out" "momfit.res"`

# Remove local output
\rm -f local.d0_out local.pi_out local.lambda_out local.moments

