% File <loglikelihood_dtm.m>
%
% Author: Falko Bause
% Date: June 2016
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%

% Currently not implemented efficiently ....  :-(


function [resval] = loglikelihood_dtm(pivec,Aks,tvalues)

% Aks is assumed to contain deterministic/Erlang distributions and pivec describes the
% probability of selecting a specific deterministic/Erlang dist.
% The tuple (pivec,Aks) describes a mixture distribution
% for which the loglikelihood value is calculated.
% tvalues are the values for which the log-likelihood value
% should be calculated.
% The result is in variable resval.

resval = 0;
T = size(tvalues,2);
N = size(pivec,2);

tmpval = zeros(1,T);

for j=1:N
    tmpval = tmpval + pivec(j) * erlang_dtm_pdf(Aks{j},tvalues);
end
if (tmpval > 0)
    resval = sum(log(tmpval));
else
    fprintf('loglikelihood: Probability Error!  tmpval <= 0 \n');
    
end





