% File <momvec_deterministic.m>
%
% Author: Falko Bause
% Date: June 2016
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%

  
function [ momvec ] = momvec_deterministic( lambda,K )
% Determines the moment vector of a deterministic distribution for rate value lambda 
% starting with E[X^0] = 1

momvec = zeros(1,K+1);

momvec(1,1) = 1;

for i=1:K
  momvec(1,i+1) = 1/lambda^i;  
end


end

