% File <Akinivec_for_Erlang_dists.m>
%
% Author: Falko Bause
% Date: April 2018
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%


function [not_in] = not_in_Aks(Aks,N,lambda,states,epsilon)

% checks whether the Erlang distribution specified by (lambda,states) is
% already in the list Aks. Returns true (== 1) if this Erlang dist is not part of
% the Erlang dists in variable Aks

not_in = 1;

for i=1:N
   not_in = ( (Aks{i}(1,2) ~= states) || ( abs(Aks{i}(1,1) - lambda) > epsilon) );
   if (not_in < 1)
     fprintf('not_in_Aks: ELement already in AKs.  lambda = %E; states = %d \n',lambda,states);
     return;
   end
end

