% File <set_to_zero.m>
%
% Author: Falko Bause
% Date: June 2016
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%

function [ pivec ] = set_to_zero(pivec,threshold )
% Sets all entries to zero which are smaller than the threshold value

N = size(pivec,2);
for i=1:N
   if (pivec(i) < threshold)
       pivec(i) = 0.0;
   end
end
end

