% File <tracedist_start_from_zero.m>
%
% Author: Falko Bause
% Date: June 2016
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%



function N = tracedist_start_from_zero (tr, K)
% determines the moment vector m=(m_i) with m_i = E[X^(i-1)], i=1,...,K
% of a trace tr

L = length(tr);
N = zeros(1,K);
for i=1:K
    for k=1:L
        N(1,i) = N(1,i) + tr(k)^(i-1);
    end
    N(1,i) = N(1,i) / L;
end
