% File <writeprofido.m>
%
% Author: Falko Bause
% Date: June 2016
%
% This file is part of the MATLAB functions for fitting mixture distributions
% Copyright (C) Falko Bause, Department of Computer Science, TU Dortmund, 2016.
%


function  writeprofido(D0,D1)
% writes matrices to file shotgun.profido
% in the interchange format of the tool ProFiDo
% see ls4-www.cs.tu-dortmund.de/profido
  
nostates = size(D0,2);

fid = fopen('shotgun.profido','w');

fprintf(fid,'<?xml version="1.0"?>\n');
fprintf(fid,'<profido>\n');
fprintf(fid,'<map>\n');
fprintf(fid,'<states> ');
fprintf(fid,' %d ',nostates);
fprintf(fid,' </states>\n');

fprintf(fid,'<d0> ');
for i=1:nostates
    for j=1:nostates
       fprintf(fid,' %E ',D0(i,j));
    end
   fprintf(fid,'\n'); 
end
fprintf(fid,'</d0>\n');

fprintf(fid,'<d1> ');
for i=1:nostates
    for j=1:nostates
       fprintf(fid,' %E ',D1(i,j));
    end
   fprintf(fid,'\n'); 
end
fprintf(fid,'</d1>\n');

fprintf(fid,'</map>\n');
fprintf(fid,'</profido>\n');

fclose(fid);
